Bug 21695 - twist option in hosts.deny
Summary: twist option in hosts.deny
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-04 18:56 UTC by charles finlay
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-05 22:59:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description charles finlay 2000-12-04 18:56:41 UTC
xinetd can use /etc/hosts.deny. The following syntax has been acceptable
to the wrappers for years.

in.ftpd:ALL:twist /bin/echo "421 host (%h) does not have access to %s";
/usr/local/etc/tcpd_report %d %u %h


where tcpd_report is just a mail announcement script.

/var/log/messages reports:

Dec  4 13:19:38 bryce xinetd[22167]: error: /etc/hosts.deny, line 21: twist
option in resident process
Dec  4 13:19:38 bryce xinetd[22167]: refused connect from 139.88.189.233

replacing twist with spawn works.

using ftp for test.

Comment 1 Trond Eivind Glomsrxd 2000-12-04 23:47:15 UTC
Confirmed... it works once, then xinetd exits. Looking into it.

Comment 2 Trond Eivind Glomsrxd 2001-01-21 22:36:41 UTC
This is fixed in xinetd-2.1.8.9pre14-1, coming soon to a Rawhide near you.


Note You need to log in before you can comment on or make changes to this bug.